See the top rated post in this thread. Click here

Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Show X,Y coordinates by using dimension or by other means?

  1. #1
    Woo! Hoo! my 1st post
    Join Date
    2002-11
    Posts
    1
    Login to Give a bone
    0

    Default Show X,Y coordinates by using dimension or by other means?

    Dear members,

    How can I show X,Y coordinates by using dimension command or any other commands,
    eg. I have a point marked using North and East coordinates in a Map. I want to show that coordinates by text.

    Please help, Thanks

  2. #2
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,096
    Login to Give a bone
    0

    Default Re: Show X,Y coordinates by using dimension or by other means?

    Try the attached block. It contains a FIELD for each Attribute. Edit it to what you need. If you move the Block around in your drawing, the FIELDs will update based on your FIELDEVAL system variable.
    Attached Files Attached Files
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  3. #3
    All AUGI, all the time
    Join Date
    2016-02
    Location
    Sydney, Australia
    Posts
    512
    Login to Give a bone
    0

    Default Re: Show X,Y coordinates by using dimension or by other means?

    Use the Ordinate dimension to give either the X or Y position, or use Opie's/your own dynamic block to display both. I prefer the Dynamic block method, as you can export it all to a schedule quite easily.

  4. #4
    All AUGI, all the time
    Join Date
    2016-02
    Location
    Sydney, Australia
    Posts
    512
    Login to Give a bone
    0

    Cool Re: Show X,Y coordinates by using dimension or by other means?

    My example of coodinate dynamic block with a table (in Acad 200.
    Tell me what you think?
    Attached Files Attached Files

  5. #5
    I could stop if I wanted to
    Join Date
    2003-12
    Location
    Pittsburgh, PA
    Posts
    355
    Login to Give a bone
    0

    Default Re: Show X,Y coordinates by using dimension or by other means?

    This one will allow you to pick a new origin if you should so choose
    Code:
    ;;;Annotate a Northing/Easting w/ a boxed leader, LPS 2008
    
    (defun C:CoordLeader (/ oldecho pt1 pt2 txtn txte dg)
    
    
    (setq temperr *error*)			;store *error*
    	(setq *error* errortrap)		;re-assign *error*
    	(setq oldecho (getvar "cmdecho"))	;restore variables			
    	(setq oldlayer (getvar "clayer"))
    	(setq oldsnap (getvar "osmode"))
    	(setq olddimgap (getvar "dimgap"))
    
    
    (setvar "cmdecho" 0)
    (setvar "dimgap" -0.1)
    (command "undo" "m")
    (setq ptb (getpoint "Pick base point:  <World>"))
      
    (if  (not (null ptb))
    (command "ucs" "o" ptb)
    (command "ucs" "o" '(0 0))
    );if
      
    (setq pt1 T)
    (while  (not (null pt1))
    (setq pt1 (getpoint "\nPick coordinate point: "))
    (if pt1
    (progn
    (setq pt2 (getpoint  pt1 "\nPick text location: "))
    (if pt2
    (progn
    (setq txtn (strcat "N: " (rtos (cadr pt1)2 2) " "))
    (setq txte (strcat "E: " (rtos (car pt1) 2 2) "\n"))
    (command "leader" pt1 pt2 "Annotation" txtn txte "")
    )
    )
    )
    )
    );while
    (setvar "cmdecho" oldecho)
    (setvar "dimgap" olddimgap)
    (command "ucs" "p")
    (setq *error* temperr)
    (princ)
    );defun
    
    (defun errortrap (msg)				             ;define function
    	(command "undo" "b")
    	(setvar "osmode" oldsnap)			;restore variables
    	(setvar "clayer" oldlayer)
    	(setvar "cmdecho" oldecho)
    	(setvar "dimgap" olddimgap)
    	(command "ucs" "p")
    	(setq *error* temperr)			;restore *error*
    	(prompt "\nResetting System Variables ")	;inform user
      (princ)
    );defun

  6. #6
    Member
    Join Date
    2008-02
    Posts
    11
    Login to Give a bone
    0

    Wink Re: Show X,Y coordinates by using dimension or by other means?

    Use pulldown menu : LABEL / NORTH - EAST

    pick the exact point to measure
    N/E coordinate data is calculated
    pick a spot on-screen to place the N/E text
    then you can draw a pline or leader to the text if you want

    Make sure you are in UCS WORLD

    Still, there could be a better way
    I PLEAD DUMBNITUDE !

  7. #7
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,096
    Login to Give a bone
    0

    Default Re: Show X,Y coordinates by using dimension or by other means?

    Quote Originally Posted by simons_d View Post
    Use pulldown menu : LABEL / NORTH - EAST

    pick the exact point to measure
    N/E coordinate data is calculated
    pick a spot on-screen to place the N/E text
    then you can draw a pline or leader to the text if you want

    Make sure you are in UCS WORLD

    Still, there could be a better way
    I PLEAD DUMBNITUDE !
    Simons_d,

    Which vertical are you using? I don't believe that is an option in vanilla AutoCAD.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  8. #8
    Woo! Hoo! my 1st post
    Join Date
    2012-03
    Posts
    1
    Login to Give a bone
    1

    Default Re: Show X,Y coordinates by using dimension or by other means?

    Quote Originally Posted by Norton_cad View Post
    My example of coodinate dynamic block with a table (in Acad 200.
    Tell me what you think?
    Thanks your sample drawing is very useful

  9. #9
    All AUGI, all the time
    Join Date
    2016-02
    Location
    Sydney, Australia
    Posts
    512
    Login to Give a bone
    0

    Default Re: Show X,Y coordinates by using dimension or by other means?

    No worries mate.

  10. #10
    Woo! Hoo! my 1st post
    Join Date
    2013-10
    Posts
    1
    Login to Give a bone
    0

    Smile Re: Show X,Y coordinates by using dimension or by other means?

    Quote Originally Posted by lpseifert View Post
    This one will allow you to pick a new origin if you should so choose
    Code:
    ;;;Annotate a Northing/Easting w/ a boxed leader, LPS 2008
    
    (defun C:CoordLeader (/ oldecho pt1 pt2 txtn txte dg)
    
    
    (setq temperr *error*)            ;store *error*
        (setq *error* errortrap)        ;re-assign *error*
        (setq oldecho (getvar "cmdecho"))    ;restore variables            
        (setq oldlayer (getvar "clayer"))
        (setq oldsnap (getvar "osmode"))
        (setq olddimgap (getvar "dimgap"))
    
    
    (setvar "cmdecho" 0)
    (setvar "dimgap" -0.1)
    (command "undo" "m")
    (setq ptb (getpoint "Pick base point:  <World>"))
      
    (if  (not (null ptb))
    (command "ucs" "o" ptb)
    (command "ucs" "o" '(0 0))
    );if
      
    (setq pt1 T)
    (while  (not (null pt1))
    (setq pt1 (getpoint "\nPick coordinate point: "))
    (if pt1
    (progn
    (setq pt2 (getpoint  pt1 "\nPick text location: "))
    (if pt2
    (progn
    (setq txtn (strcat "N: " (rtos (cadr pt1)2 2) " "))
    (setq txte (strcat "E: " (rtos (car pt1) 2 2) "\n"))
    (command "leader" pt1 pt2 "Annotation" txtn txte "")
    )
    )
    )
    )
    );while
    (setvar "cmdecho" oldecho)
    (setvar "dimgap" olddimgap)
    (command "ucs" "p")
    (setq *error* temperr)
    (princ)
    );defun
    
    (defun errortrap (msg)                             ;define function
        (command "undo" "b")
        (setvar "osmode" oldsnap)            ;restore variables
        (setvar "clayer" oldlayer)
        (setvar "cmdecho" oldecho)
        (setvar "dimgap" olddimgap)
        (command "ucs" "p")
        (setq *error* temperr)            ;restore *error*
        (prompt "\nResetting System Variables ")    ;inform user
      (princ)
    );defun
    thanks a lot

Page 1 of 2 12 LastLast

Similar Threads

  1. Show Clash Symbol When a Dimension Overlaps Another Dimension
    By Wish List System in forum AutoCAD Wish List
    Replies: 0
    Last Post: 2013-11-18, 08:31 PM
  2. Replies: 0
    Last Post: 2013-08-10, 10:46 AM
  3. DIMENSION TICKS DO NOT SHOW
    By AutoCAD Vancouver in forum AutoCAD General
    Replies: 3
    Last Post: 2009-08-26, 09:44 PM
  4. Replies: 9
    Last Post: 2006-07-29, 07:48 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •